/**
 * SO, 2010 - Lab #6, Semnale
 * Task #3, Linux
 * 
 * Signal handling by asking questions.
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <assert.h>

#include <signal.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>

#define MY_MAX		32
#define TIMEOUT		1


static inline void do_error(const char *msg)
{
	perror(msg);
	exit(EXIT_FAILURE);
}

static void print_next(void)
{
	static int n = 1;

	printf("n = %d\n", n);

	n = (n + 1) % MY_MAX;
}

/*
 * handler de semnal
 */

static void ask_handler(int signo)
{
	/* TODO */
}

/*
 * configurarea handler-elor de semnal necesare
 */

static void set_signals(void)
{
	/* TODO */
}

int main(void)
{
	set_signals();	/* handler pentru SIGINT, SIGQUIT, SIGUSR1 */

	while (1) {
		print_next();
		sleep(TIMEOUT);
	}

	return 0;
}
