/**
 * SO, 2010 - Lab #6, Semnale
 * 
 * Utility macros and functions.
 */

#ifndef SO_WIN_UTIL_H_
#define SO_WIN_UTIL_H_	1

#include <stdio.h>

#include <windows.h>
#include <strsafe.h>

static void doError(const char *msg) 
{
	char *errMsg;
	DWORD lastErr = GetLastError();

	FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM | FORMAT_MESSAGE_IGNORE_INSERTS,
			NULL,
			lastErr,
			MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
			(char*) &errMsg,
			0,
			NULL);
	fprintf(stderr, "%s failed (%d): %s\n", msg, lastErr, errMsg);

	LocalFree(errMsg);
	ExitProcess(1);
}

#endif
